requirements.txt里的依赖为什么是==

小宇
  • 423

如题,刚入门python,对于requirements.txt有很多不解,这里的依赖包怎么才像node里的packagejson那样安装一个就记录一个,还是说只能安装完后再记录,我freeze记录后为什么都是==,我看网上很多都是>=,怎么搞,希望有好心人详细解答一下谢谢!

回复
阅读 1k
1 个回答
✓ 已被采纳
pypinyin==0.12.0 # 指定版本(最日常的写法)
django-querycount>=0.5.0 # 大于某个版本
django-debug-toolbar>=1.3.1,<=1.3.3 # 版本范围
ipython # 默认(存在不替换,不存在安装最新版)
"react": "~16.13.1",  // 表示安装16.13.x的最新版本(不改变大版本号和次要版本号)
"react-dom": "^16.13.1",  // 表示安装16.x.x的最新版本(不改变大版本号)
"react-scripts": "3.4.1"  // 指定版本
撰写回答
你尚未登录,登录后可以
  • 和开发者交流问题的细节
  • 关注并接收问题和回答的更新提醒
  • 参与内容的编辑和改进,让解决方法与时俱进
宣传栏